Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.acl
Interface Group

All Superinterfaces:
  Principal

    public interface Group

extends Principal

This interface is used to represent a group of principals. (A principal represents an entity such as an individual user or a company).

Note that Group extends Principal. Thus, either a Principal or a Group can be passed as an argument to methods containing a Principal parameter. For example, you can add either a Principal or a Group to a Group object by calling the object's `addMember` method, passing it the Principal or Group.

Method Summary
`boolean` | `addMember(Principal user)` Adds the specified member to the group.
`boolean` | `isMember(Principal member)` Returns true if the passed principal is a member of the group.
`Enumeration<? extends Principal>` | `members()` Returns an enumeration of the members in the group.
`boolean` | `removeMember(Principal user)` Removes the specified member from the group.

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### addMember

    boolean addMember(Principal user)

  Adds the specified member to the group.

  Parameters:
    `user` - the principal to add to this group.
  Returns:
    true if the member was successfully added, false if the principal was already a member.

### removeMember

    boolean removeMember(Principal user)

  Removes the specified member from the group.

  Parameters:
    `user` - the principal to remove from this group.
  Returns:
    true if the principal was removed, or false if the principal was not a member.

### isMember

    boolean isMember(Principal member)

  Returns true if the passed principal is a member of the group. This method does a recursive search, so if a principal belongs to a group which is a member of this group, true is returned.

  Parameters:
    `member` - the principal whose membership is to be checked.
  Returns:
    true if the principal is a member of this group, false otherwise.

### members

    Enumeration<? extends Principal> members()

  Returns an enumeration of the members in the group. The returned objects can be instances of either Principal or Group (which is a subclass of Principal).

  Returns:
    an enumeration of the group members.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.